Sign inGet started

Update participant by ID

PATCH
/workspaces/{workspaceId}/conversations/{conversationId}/participants/{conversationParticipantId}
Update a participant's status in the conversation
Verzoek-payload
status
string
Participant status in the conversation.
Possible values: pending, invited, active
Antwoord-payload
avatarUrl
string
contact
object
Onderliggende attributen tonen
contact.identifierKey
string
verplicht
contact.identifierValue
string
verplicht
contact.platformAddress
string
contact.platformAddressSelector
string
conversationId
string
createdAt
string
displayName
string
id
string
verplicht
resourceUri
string
status
string
Possible values: invited, pending, active, inactive
type
string
verplicht
Possible values: user, contact, agent, flow, bot, accessKey, channel, connector, collaborationAutomation
updatedAt
string
Codevoorbeeld
curl -X PATCH 'https://api.bird.com/workspaces/{workspaceId}/conversations/{conversationId}/participants/{conversationParticipantId}' \
  -H 'Authorization: AccessKey YOUR_ACCESS_KEY'

Examples

Codevoorbeeld
curl -X PATCH "https://api.bird.com/workspaces/a1405560-c8d3-4b1a-877d-3f449ad95352/conversations/c9c60caa-eaf5-4628-9687-91de4d452bfa/participants/280b4743-d753-4767-8516-2fd506e29953" \
-H "Content-Type: application/json" \
-H "Authorization: AccessKey abcd" \
-d '{
  "status": "active"
}'